{
                 Independent HelpSoft Laboratory present
            ͻ
                 ˿˿˿ͻ ˿˿ͻ   
                 δ˿              
                                   
                                                              
                 NetWare 3.11 API Library for Turbo Pascal    
                                  by                          
                        S.Perevoznik and V.Kononov            
                                 1994                         
            ͼ
}

Unit NetErr;

Interface

           {  Network Error Definitions  }

CONST

 CAPTURE_IS_NOT_ACTIVE               = $00;    { 000 }
 SERVER_NOT_IN_USE                   = $00;    { 000 }
 SHELL_VERSION_TOO_OLD               = $00;    { 000 }
 SUCCESSFUL                          = $00;    { 000 }
 TTS_NOT_AVAILABLE                   = $00;    { 000 }
 LPT_DEVICE_OUT_OF_RANGE             = $01;    { 001 }
 SEMAPHORE_OVERFLOW                  = $01;    { 001 }
 SERVER_IN_USE                       = $01;    { 001 }
 TTS_AVAILABLE                       = $01;    { 001 }
 FILE_IN_USE_ERROR                   = $80;    { 128 }
 NO_MORE_FILE_HANDLES                = $81;    { 129 }
 NO_OPEN_PRIVILEGES                  = $82;    { 130 }
 IO_ERROR_NETWORK_DISK               = $83;    { 131 }
 NO_CREATE_PRIVILEGES                = $84;    { 132 }
 NO_CREATE_DELETE_PRIVILEGES         = $85;    { 133 }
 CREATE_FILE_EXISTS_READ_ONLY        = $86;    { 134 }
 WILD_CARDS_IN_CREATE_FILE_NAME      = $87;    { 135 }
 INVALID_FILE_HANDLE                 = $88;    { 136 }
 NO_SEARCH_PRIVILEGES                = $89;    { 137 }
 NO_DELETE_PRIVILEGES                = $8A;    { 138 }
 NO_RENAME_PRIVILEGES                = $8B;    { 139 }
 NO_MODIFY_PRIVILEGES                = $8C;    { 140 }
 SOME_FILES_AFFECTED_IN_USE          = $8D;    { 141 }
 NO_FILES_AFFECTED_IN_USE            = $8E;    { 142 }
 SOME_FILES_AFFECTED_READ_ONLY       = $8F;    { 143 }
 NO_FILES_AFFECTED_READ_ONLY         = $90;    { 144 }
 SOME_FILES_RENAMED_NAME_EXISTS      = $91;    { 145 }
 NO_FILES_RENAMED_NAME_EXISTS        = $92;    { 146 }
 NO_READ_PRIVILEGES                  = $93;    { 147 }
 NO_WRITE_PRIVILEGES_OR_READONLY     = $94;    { 148 }
 FILE_DETACHED                       = $95;    { 149 }
 SERVER_OUT_OF_MEMORY                = $96;    { 150 }
 NO_DISK_SPACE_FOR_SPOOL_FILE        = $97;    { 151 }
 VOLUME_DOES_NOT_EXIST               = $98;    { 152 }

    DIRECTORY_FULL                   = $99;    { 153 }
    ERR_DIRECTORY_FULL               = $99;    { 153 }

 RENAMING_ACROSS_VOLUMES             = $9A;    { 154 }
 BAD_DIRECTORY_HANDLE                = $9B;    { 155 }
 INVALID_PATH                        = $9C;    { 156 }
 NO_MORE_TRUSTEES                    = $9C;    { 156 }
 NO_MORE_DIRECTORY_HANDLES           = $9D;    { 157 }
 INVALID_FILENAME                    = $9E;    { 158 }
 DIRECTORY_ACTIVE                    = $9F;    { 159 }
 DIRECTORY_NOT_EMPTY                 = $A0;    { 160 }
 DIRECTORY_IO_ERROR                  = $A1;    { 161 }
 READ_FILE_WITH_RECORD_LOCKED        = $A2;    { 162 }
 SEARCH_DRIVE_VECTOR_FULL            = $B0;    { 176 }
 DRIVE_IS_NOT_MAPPED                 = $B1;    { 177 }
 CANT_MAP_LOCAL_DRIVE                = $B2;    { 178 }
 INVALID_MAP_TYPE                    = $B3;    { 179 }
 INVALID_DRIVE_LETTER                = $B4;    { 180 }
 NO_DRIVE_AVAILABLE                  = $B5;    { 181 }
 WORKSTATION_OUT_OF_MEMORY           = $B6;    { 182 }
 NO_SUCH_SEARCH_DRIVE                = $B7;    { 183 }
 PATH_ENVIRON_VARIABLE_INVALID       = $B8;    { 184 }
 NO_ACCT_PRIVLEGES                   = $C0;    { 192 }
 LOGIN_DENIED_NO_ACCOUNT_BALANCE     = $C1;    { 193 }
 NO_ACCT_BALANCE                     = $C1;    { 193 }
 ACCT_CREDIT_LIMIT_EXCEEDED          = $C2;    { 194 }
 LOGIN_DENIED_NO_CREDIT              = $C2;    { 194 }
 ACCT_TOO_MANY_HOLDS                 = $C3;    { 195 }
 INTRUDER_DETECTION_LOCK             = $C5;    { 197 }
 NO_CONSOLE_OPERATOR                 = $C6;    { 198 }
 PASSWORD_NOT_UNIQUE                 = $D7;    { 215 }
 PASSWORD_TOO_SHORT                  = $D8;    { 216 }
 LOGIN_DENIED_NO_CONNECTION          = $D9;    { 217 }
 UNAUTHORIZED_LOGIN_TIME             = $DA;    { 218 }
 UNAUTHORIZED_LOGIN_STATION          = $DB;    { 219 }
 ACCOUNT_DISABLED                    = $DC;    { 220 }
 PASSWORD_HAS_EXPIRED_NO_GRACE       = $DE;    { 222 }
 PASSWORD_HAS_EXPIRED                = $DF;    { 223 }
 NOT_ITEM_PROPERTY                   = $E8;    { 232 }
 WRITE_PROPERTY_TO_GROUP             = $E8;    { 232 }
 MEMBER_ALREADY_EXISTS               = $E9;    { 233 }
 NO_SUCH_MEMBER                      = $EA;    { 234 }
 NOT_GROUP_PROPERTY                  = $EB;    { 235 }
 NO_SUCH_SEGMENT                     = $EC;    { 236 }
 NO_SUCH_SET                         = $EC;    { 236 }
 PROPERTY_ALREADY_EXISTS             = $ED;    { 237 }
 OBJECT_ALREADY_EXISTS               = $EE;    { 238 }
 INVALID_NAME                        = $EF;    { 239 }
 WILD_CARD_NOT_ALLOWED               = $F0;    { 240 }
 IPX_NOT_INSTALLED                   = $F0;    { 240 }
 INVALID_BINDERY_SECURITY            = $F1;    { 241 }
 NO_OBJECT_READ_PRIVILEGE            = $F2;    { 242 }
 NO_OBJECT_RENAME_PRIVILEGE          = $F3;    { 243 }
 NO_OBJECT_DELETE_PRIVILEGE          = $F4;    { 244 }
 NO_OBJECT_CREATE_PRIVILEGE          = $F5;    { 245 }
 NO_PROPERTY_DELETE_PRIVILEGE        = $F6;    { 246 }
 NOT_SAME_LOCAL_DRIVE                = $F6;    { 246 }
 NO_PROPERTY_CREATE_PRIVILEGE        = $F7;    { 247 }
 TARGET_DRIVE_NOT_LOCAL              = $F7;    { 247 }
 ALREADY_ATTACHED_TO_SERVER          = $F8;    { 248 }
 NO_PROPERTY_WRITE_PRIVILEGE         = $F8;    { 248 }
 NOT_ATTACHED_TO_SERVER              = $F8;    { 248 }
 NO_FREE_CONNECTION_SLOTS            = $F9;    { 249 }
 NO_PROPERTY_READ_PRIVILEGE          = $F9;    { 249 }
 NO_MORE_SERVER_SLOTS                = $FA;    { 250 }
 TEMP_REMAP_ERROR                    = $FA;    { 250 }
 INVALID_PARAMETERS                  = $FB;    { 251 }
 NO_SUCH_PROPERTY                    = $FB;    { 251 }
 _UNKNOWN_REQUEST                    = $FB;    { 251 }
 INTERNET_PACKET_REQT_CANCELED       = $FC;    { 252 }
 UNKNOWN_FILE_SERVER                 = $FC;    { 252 }
 MESSAGE_QUEUE_FULL                  = $FC;    { 252 }
 NO_SUCH_OBJECT                      = $FC;    { 252 }
 BAD_STATION_NUMBER                  = $FD;    { 253 }
 INVALID_PACKET_LENGTH               = $FD;    { 253 }
 UNKNOWN_REQUEST                     = $FD;    { 253 }
 FIELD_ALREADY_LOCKED                = $FD;    { 253 }
 TTS_DISABLED                        = $FD;    { 253 }
 FSCOPY_DIFFERENT_NETWORKS           = $FD;    { 253 }
 BINDERY_LOCKED                      = $FE;    { 254 }
 DIRECTORY_LOCKED                    = $FE;    { 254 }
 INVALID_SEMAPHORE_NAME_LENGTH       = $FE;    { 254 }
 IMPLICIT_TRANSACTION_ACTIVE         = $FE;    { 254 }
 PACKET_NOT_DELIVERABLE              = $FE;    { 254 }
 SERVER_BINDERY_LOCKED               = $FE;    { 254 }
 SOCKET_TABLE_FULL                   = $FE;    { 254 }
 SPOOL_DIRECTORY_ERROR               = $FE;    { 254 }
 SUPERVISOR_HAS_DISABLED_LOGIN       = $FE;    { 254 }
 TIMEOUT_FAILURE                     = $FE;    { 254 }
 TRANSACTION_ENDS_RECORDS_LOCKED     = $FE;    { 254 }
 BAD_PRINTER_ERROR                   = $FF;    { 255 }
 BAD_RECORD_OFFSET                   = $FF;    { 255 }
 BINDERY_FAILURE                     = $FF;    { 255 }
 CAPTURE_IS_ACTIVE                   = $FF;    { 255 }
 CLOSE_FCB_ERROR                     = $FF;    { 255 }
 EXPLICIT_TRANSACTION_ACTIVE         = $FF;    { 255 }
 EXPLICIT_TRANSACTION_NOT_ACTIVE     = $FF;    { 255 }
 FILE_EXTENSION_ERROR                = $FF;    { 255 }
 FILE_NAME_ERROR                     = $FF;    { 255 }
 HARDWARE_FAILURE                    = $FF;    { 255 }
 INVALID_DIRECTORY_HANDLE            = $FF;    { 255 }
 INVALID_DRIVE_NUMBER                = $FF;    { 255 }
 INVALID_INITIAL_SEMAPHORE_VALUE     = $FF;    { 255 }
 INVALID_SEMAPHORE_HANDLE            = $FF;    { 255 }
 IO_BOUND_ERROR                      = $FF;    { 255 }
 NO_FILES_FOUND_ERROR                = $FF;    { 255 }
 NO_RECORD_FOUND                     = $FF;    { 255 }
 NO_RESPONSE_FROM_SERVER             = $FF;    { 255 }
 NO_SUCH_OBJECT_OR_BAD_PASSWORD      = $FF;    { 255 }
 PATH_ALREADY_EXISTS                 = $FF;    { 255 }
 PATH_NOT_LOCATABLE                  = $FF;    { 255 }
 PRINT_JOB_ALREADY_SET               = $FF;    { 255 }
 QUEUE_FULL_ERROR                    = $FF;    { 255 }
 REQUEST_NOT_OUTSTANDING             = $FF;    { 255 }
 SOCKET_ALREADY_OPEN                 = $FF;    { 255 }
 SOCKET_CLOSED                       = $FF;    { 255 }
 TRANSACTION_NOT_YET_WRITTEN         = $FF;    { 255 }
 NO_CAPTURE_IN_EFFECT                = $FF;    { 255 }
 LPT_CAPTURE_ALREADY_IN_EFFECT       = $FF;    { 255 }
 INVALID_CONNECTION_ID               = $0101;  { 257 }

{  errors numbers 512 through 1023 are reserved for user interface }

 UNEXPECTED_INTERNAL_CONDITION       = $0BAD;  { 2989 }
 ENVIRONMENT_OVERFLOW                = $FFFF;  { 65535 }
 NO_SUCH_ENVIRON_VARIABLE            = $FFFF;  { 65535 }

Implementation

    END.


