{
                 Independent HelpSoft Laboratory present
            ͻ
                 ˿˿˿ͻ ˿˿ͻ   
                 δ˿              
                                   
                                                              
                 NetWare 3.11 API Library for Turbo Pascal    
                                  by                          
                        S.Perevoznik and V.Kononov            
                                 1994                         
            ͼ
}
Unit NetLock;
{ 㦨 ஢   }

Interface

Uses NetConv;

{ ਬ砭 : - 㪠뢠  1/18 ᥪ㭤. }
{ 祭 0 砥 "   "                  }

Const

             { --------- ४⨢ ஢ ------------}

  cReg  = 0;  { ॣ஢ }
  cFull = 1;  { ॣ஢  ஢  ᪫⥫쭮 ०}
  cRead = 3;  { ॣ஢  ஢  ࠧ塞 ०}

         { --------   䨧᪨ ﬨ ---------- }

Procedure ReleasePhysicalRecordSet;
{   䨧᪨   ⠡ ॣ樨}

Procedure ClearPhysicalRecordSet;
{   䨧᪨   㤠   ⠡ ॣ樨 }

Function ClearPhysicalRecord (FileName : string;
                              RecordStartOffset,
                              RecordLength  : LongInt) : byte;
{  㪠 䨧   㤠   ⠡}

Function ReleasePhysicalRecord (FileName : string;
                                RecordStartOffset,
                                RecordLength  : LongInt) : byte;
{  䨧 }

Function  LockPhysicalRecordSet(LockDirective : byte;
                                TimeOutLimit : word ) : byte;
{ ஢  䨧᪨   ⠡ ॣ樨}

Function  LogPhysicalRecord(FileName : string;
                            RecordStartOffset,
                            RecordLength  : LongInt;
                            LockDirective : byte;
                            TimeOutLimit  : word) : byte;
{ ॣ஢ 䨧   ⠡ ॣ樨 }

            { ---------   䠩 ------------}

Function LockFileSet(LockDirective : byte;
                     TimeOutLimit  : word) : byte;
{ ஢  䠩  ⠡ ॣ樨 }

Procedure ReleaseFileSet;
{ ஢  䠩}

Procedure ClearFileSet;
{   䠩  㤠   ⠡ ॣ樨 }

Function LogFile(FileName : string;
                 LockDirective : byte;
                 TimeOutLimit : word) : byte;
{ ॣ஢ 䠩  ⠡ ॣ樨 }

Function ClearFile(FileName : string) : byte;
{  㭪 ࠧ 䠩  㤠   ⠡ ॣ樨 }

Function ReleaseFile(FileName : string) : byte;
{  䠩  㤠  ⠡ }

            { --------- ࠢ ० ஢ ------------}

Procedure SetLockMode(mode : byte);
{  楤 ⠭ 䫠 ⥪饣 ० ஢}

Function  GetLockMode : byte;
{ 頥 ⥪騩 ० ஢ }

{-----------------------------------------------------------}

Implementation

Uses DOS;

         { --------   䨧᪨ ﬨ ---------- }

Procedure ReleasePhysicalRecordSet;
{   䨧᪨   ⠡ ॣ樨}
var
  r : registers;
Begin
  r.AH := $C3;
  Intr($21,r);
End;

Procedure ClearPhysicalRecordSet;
{   䨧᪨   㤠   ⠡ ॣ樨 }
var
  r : registers;
Begin
  r.AH := $C4;
  intr($21,r);
End;

Function ClearPhysicalRecord (FileName : string;
                              RecordStartOffset,
                              RecordLength  : LongInt) : byte;
{  㪠 䨧   㤠   ⠡}
var
  r : registers;
  FileHandle : word;
Begin
  r.AH := $3D;
  r.DS := SEG(FileName[1]);
  r.DX := OFS(FileName[1]);
  r.AL := 0;
  FileName[length(FileName)+1] := chr(0);
  intr($21,r);
  if (r.FLAGS and FCARRY ) = 0 then
    begin
      FileHandle := r.AX;
      r.AH := $BE;
      r.BX := FileHandle;
      Long2Int(RecordStartOffset,r.DX,r.CX);
      Long2Int(RecordLength,r.DI,r.SI);
      intr($21,r);
      ClearPhysicalRecord := r.AL;
    end
  else
    ClearPhysicalRecord := $80;

End;

Function ReleasePhysicalRecord (FileName : string;
                                RecordStartOffset,
                                RecordLength  : LongInt) : byte;
{  䨧 }
var
  r : registers;
  FileHandle : word;
Begin
  r.AH := $3D;
  r.DS := SEG(FileName[1]);
  r.DX := OFS(FileName[1]);
  r.AL := 0;
  FileName[length(FileName)+1] := chr(0);
  intr($21,r);
  if (r.FLAGS and FCARRY ) = 0 then
    begin
      FileHandle := r.AX;
      r.AH := $BD;
      r.BX := FileHandle;
      Long2Int(RecordStartOffset,r.DX,r.CX);
      Long2Int(RecordLength,r.DI,r.SI);
      intr($21,r);
      ReleasePhysicalRecord := r.AL;
    end
  else
    ReleasePhysicalRecord := $80;

End;

Function  LockPhysicalRecordSet(LockDirective : byte;
                                TimeOutLimit : word ) : byte;
{ ஢  䨧᪨   ⠡ ॣ樨}
var
  r : registers;
Begin
  r.AH := $C2;
  r.AL := LockDirective;
  r.BP := TimeOutLimit;
  intr($21,r);
  LockPhysicalRecordSet := r.AL;
End;

Function  LogPhysicalRecord(FileName : string;
                            RecordStartOffset,
                            RecordLength  : LongInt;
                            LockDirective : byte;
                            TimeOutLimit  : word) : byte;
{ ॣ஢ 䨧   ⠡ ॣ樨 }
var
  r : registers;
  FileHandle : word;
Begin
  r.AH := $3D;
  r.DS := SEG(FileName[1]);
  r.DX := OFS(FileName[1]);
  r.AL := 0;
  FileName[length(FileName)+1] := chr(0);
  intr($21,r);
  if (r.FLAGS and FCARRY ) = 0 then
    begin
      FileHandle := r.AX;
      r.AH := $BC;
      r.BX := FileHandle;
      Long2Int(RecordStartOffset,r.DX,r.CX);
      Long2Int(RecordLength,r.DI,r.SI);
      r.AL := LockDirective;
      r.BP := TimeOutLimit;
      intr($21,r);
      LogPhysicalRecord := r.AL;
    end
  else
    LogPhysicalRecord := $80;
End;

            { ---------   䠩 ------------}

Function LockFileSet(LockDirective : byte;
                     TimeOutLimit  : word) : byte;
{ ஢  䠩  ⠡ ॣ樨 }
var
  r : registers;
Begin
  r.AH := $CB;
  r.bp := TimeOutLimit;
  r.AL := LockDirective;
  intr($21,r);
  LockFileSet := r.AL;
End;

Procedure ReleaseFileSet;
{ ஢  䠩}
var
  r : registers;
Begin
  r.AH := $CD;
  intr($21,r);
End;

Procedure ClearFileSet;
{   䠩  㤠   ⠡ ॣ樨 }
var
  r : registers;
Begin
  r.AH := $CF;
  intr($21,r);
End;

Function LogFile(FileName : string;
                 LockDirective : byte;
                 TimeOutLimit : word) : byte;
{ ॣ஢ 䠩  ⠡ ॣ樨 }
var
  r : registers;
Begin
  r.AH := $EB;
  r.BP := TimeOutLimit;
  r.AL := LockDirective;
  r.DS := SEG(FileName[1]);
  r.DX := OFS(FileName[1]);
  FileName[length(FileName)+1] := chr(0);
  intr($21,r);
  LogFile := r.AL;

End;

Function ClearFile(FileName : string) : byte;
{  㭪 ࠧ 䠩  㤠   ⠡ ॣ樨 }

var
  r : registers;
Begin
  r.AH := $ED;
  r.DS := SEG(FileName[1]);
  r.DX := OFS(FileName[1]);
  FileName[length(FileName)+1] := chr(0);
  intr($21,r);
  ClearFile := r.AL;
End;

Function ReleaseFile(FileName : string) : byte;
{  㭪 ࠧ 䠩 }

var
  r : registers;
Begin
  r.AH := $EC;
  r.DS := SEG(FileName[1]);
  r.DX := OFS(FileName[1]);
  FileName[length(FileName)+1] := chr(0);
  intr($21,r);
  ReleaseFile := r.AL;
End;

            { --------- ࠢ ० ஢ ------------}

Procedure SetLockMode(mode : byte);
{  楤 ⠭ 䫠 ⥪饣 ० ஢}
var
  r : registers;
Begin
   r.AH := $C6;
   r.AL := Mode;
   intr($21,r);
End;

Function  GetLockMode : byte;
{ 頥 ⥪騩 ० ஢ }
var
  r : registers;
Begin
  r.AH := $C6;
  r.AL := $02;
  intr($21,r);
  GetLockMode := r.AL;
End;

end.

